aboutsummaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
authorBastien Bouclet2017-09-24 18:18:56 +0200
committerBastien Bouclet2017-09-30 21:35:16 +0200
commitf800783767d22ab8863f026f0125ff95dedf0cf5 (patch)
treea3f1e9a225b3a2f4a7a72dfac69e4f85344ff97a /configure
parentdc7e37fdb6800124cccf231282d4b1475249a654 (diff)
downloadscummvm-rg350-f800783767d22ab8863f026f0125ff95dedf0cf5.tar.gz
scummvm-rg350-f800783767d22ab8863f026f0125ff95dedf0cf5.tar.bz2
scummvm-rg350-f800783767d22ab8863f026f0125ff95dedf0cf5.zip
BUILD: Require 8 bytes integer types
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure23
1 files changed, 3 insertions, 20 deletions
diff --git a/configure b/configure
index eee2db7b26..df9ac16eba 100755
--- a/configure
+++ b/configure
@@ -2183,12 +2183,7 @@ echo_n "Type with 8 bytes... "
type_8_byte=`find_type_with_size 8`
TMPR="$?"
echo "$type_8_byte"
-if test $TMPR -eq 0; then
- _def_64bit_type_signed="typedef signed $type_8_byte int64;"
- _def_64bit_type_unsigned="typedef unsigned $type_8_byte uint64;"
-fi
-# force cleanup after check for 8 bytes type
-cc_check_clean tmp_find_type_with_size.cpp
+test $TMPR -eq 0 || exit 1 # check exit code of subshell
#
# Check whether memory alignment is required
@@ -5187,29 +5182,17 @@ typedef unsigned int uint;
typedef unsigned $type_1_byte uint8;
typedef unsigned $type_2_byte uint16;
typedef unsigned $type_4_byte uint32;
+typedef unsigned $type_8_byte uint64;
typedef signed $type_1_byte int8;
typedef signed $type_2_byte int16;
typedef signed $type_4_byte int32;
-EOF
-
-if test -n "$_def_64bit_type_unsigned" ; then
-cat >> config.h << EOF
+typedef signed $type_8_byte int64;
-/* 64-bit stuff */
-$_def_64bit_type_signed
#if defined(__APPLE__) && !defined(__ppc__)
#ifndef _UINT64
#define _UINT64
-$_def_64bit_type_unsigned
#endif
-#else
-$_def_64bit_type_unsigned
#endif
-#define HAVE_INT64
-EOF
-fi
-
-cat >> config.h << EOF
#endif /* CONFIG_H */
EOF